<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

// include
include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');

// Lingua
load_language('plugin.lang', FBP_DIR.'/');

// Arguments
$page['tab'] = (isset($_GET['tab']) ? $_GET['tab'] : 'social_plugin');

// Data
$base_url = get_admin_plugin_menu_link(__FILE__);
$url_type = array('page', 'image');
$url_type_l10n = array_map('l10n', $url_type);
$layout = array('standard', 'button_count', 'box_count');
$layout_l10n = array_map('l10n', $layout);
$action = array('like', 'recommend');
$action_l10n = array_map('l10n', $action);
$colorscheme = array('light', 'dark');
$colorscheme_l10n = array_map('l10n', $colorscheme);

// Tabsheet
$tabsheet = new tabsheet();
$tabsheet->add('social_plugin',
               l10n('Social plugin'),
               add_url_params($base_url, array('tab' => 'social_plugin')));
$tabsheet->add('advanced',
               l10n('Advanced'),
               add_url_params($base_url, array('tab' => 'advanced')));
$tabsheet->select($page['tab']);
$tabsheet->assign();

// Update
if (isset($_POST['submit']))
{
  switch ($page['tab'])
  {
    case 'social_plugin' :
    {
      $conf['fbp']['social_plugin_like_button']['enabled'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ENABLED']) ? false : true;
      $conf['fbp']['social_plugin_like_button']['url_type'] = $url_type[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_URL_TYPE']];
      $conf['fbp']['social_plugin_like_button']['layout'] = $layout[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_LAYOUT']];
      $conf['fbp']['social_plugin_like_button']['show_faces'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_SHOW_FACES']) ? false : true;
      $conf['fbp']['social_plugin_like_button']['action'] = $action[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ACTION']];
      $conf['fbp']['social_plugin_like_button']['colorscheme'] = $colorscheme[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_COLORSCHEME']];

      break;
    }

    case 'advanced' :
    {
      $conf['fbp']['async_script'] = empty($_POST['FBP_ASYNC_SCRIPT']) ? false : true;
      $conf['fbp']['allow_fb_access_private_page'] = empty($_POST['FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE']) ? false : true;
    //~ if (isset($_POST['fbp_day_number']))
    //~ {
      //~ $conf['fbp']['day_number'] = $_POST['fbp_day_number'];
    //~ }
      break;
    }
  }

  $query = '
update '.CONFIG_TABLE.'
set
  value = \''.serialize($conf['fbp']).'\'
where 
  param = \'fbp\'
;';
  pwg_query($query);
}

// Display
switch ($page['tab'])
{
  case 'social_plugin' :
  {
    $template->assign(
      $page['tab'],
      array(
        'like_button' => array
          (
            'FB_PAGE' => 'http://developers.facebook.com/docs/reference/plugins/like',
            'ENABLED' => ($conf['fbp']['social_plugin_like_button']['enabled'] ? 'checked="checked"' : ''),
            'URL_TYPE_OPTIONS' => $url_type_l10n,
            'URL_TYPE_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_button']['url_type'], $url_type),
            'LAYOUT_OPTIONS' => $layout_l10n,
            'LAYOUT_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_button']['layout'], $layout),
            'SHOW_FACES' => ($conf['fbp']['social_plugin_like_button']['show_faces'] ? 'checked="checked"' : ''),
            'ACTION_OPTIONS' => $action_l10n,
            'ACTION_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_button']['action'], $action),
            'COLORSCHEME_OPTIONS' => $colorscheme_l10n,
            'COLORSCHEME_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_button']['colorscheme'], $colorscheme),
          ),
        ));
    break;
  }
  case 'advanced' :
  {
    $template->assign(
      $page['tab'],
      array(
        'FBP_ASYNC_SCRIPT'=> ($conf['fbp']['async_script'] ? 'checked="checked"' : ''),
        'FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE'=> ($conf['fbp']['allow_fb_access_private_page'] ? 'checked="checked"' : ''),
        ));
    break;
  }
}

/*$template->assign(
  array(
    'FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE'=> ($conf['fbp']['allow_fb_access_private_page'] ? 'checked="checked"' : ''),
    //~ 'FBP_DAY_NUMBER'=> $conf['fbp']['day_number'],
    ));*/

$template->set_filename('plugin_admin_content', FBP_DIR.'/tpl/admin.config.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');


?>